using System;
using BeWo.Report;
using BeWo.Report.ReportObjects;
using DevExpress.XtraReports.UI;

namespace BeWo.BrueckeABW
{
    public partial class ServiceInvoiceReport : XtraReport, IBeWoReport<ServiceInvoiceRO>
    {
        public ServiceInvoiceReport()
        {
            this.InitializeComponent();
        }

        public void SetReportDataSource(ServiceInvoiceRO pRO)
        {
			DateTime start = pRO.AccountingPeriodStart;
			DateTime end = pRO.AccountingPeriodEnd;
			if (start.Month == end.Month && start.Year == end.Year)
			{
				lblAbrechnungszeitraum.Text = String.Format("hiermit berechnen wir für den Monat {0:MMMM yyyy} folgende erbrachte Tätigkeiten:", start);
			}
			else
			{
				lblAbrechnungszeitraum.Text = String.Format("hiermit berechnen wir für den Zeitraum {0:MMMM yyyy} - {1:MMMM yyyy} folgende erbrachte Tätigkeiten:", start, end);
			}

	        foreach (var sip in pRO.ServiceInvoicePeriods)
	        {
		        foreach (var ii in sip.ServiceInvoiceItems)
		        {
			        ii.ServiceDescription = String.Format("{0:0.##} {1} x {2:c} =", ii.UnitCount, ii.ServiceDescription, ii.HourlyRate);
		        }
	        }

            this.bindingSource1.DataSource = pRO;
        }
    }
}